//	I2C-EEPROMCu
//	wt]xH쎺	http://jsdiy.web.fc2.com

#ifndef I2CEEPROM_H_
#define I2CEEPROM_H_

//foCX(I2C-EEPROM)ʂ̏\
typedef struct
{
	uint8_t		devAdrs;
	uint16_t	memAdrsLast;
	uint8_t		pageSizeByte;
} TI2CEepRom;

void	I2CEEPROM_DeviceInfo(TI2CEepRom* device, uint8_t chipSelectBits, uint8_t memorySizeKByte, uint8_t pageSizeByte);
void	I2CEEPROM_SetDevice(TI2CEepRom* device);
uint8_t	I2CEEPROM_WriteByte(uint16_t memAdrs, uint8_t data);
uint16_t	I2CEEPROM_WriteBlock(uint16_t memAdrs, uint8_t data[], uint16_t length);
uint8_t	I2CEEPROM_ReadByte(uint16_t memAdrs);
uint8_t	I2CEEPROM_ReadByteAndNext();
uint16_t	I2CEEPROM_ReadBlock(uint16_t memAdrs, uint8_t data[], uint16_t length);
uint8_t	I2CEEPROM_IsReadSuccess();
uint8_t	I2CEEPROM_Erase(uint8_t pageData[]);

#endif	//I2CEEPROM_H_
