//VAʐMRg[

#ifndef	comctrl_h_
#define	comctrl_h_

#include	<avr/io.h>

//{[[g
#define	BAUDRATE	4800

//ʐMR}hij
enum E_COMCTRL_COMMAND
{									//
	COMCTRL_CMD_DEVINFO		= '(',	//EEPROM{F`bvZNgrbg1byte, I[AhX2byte, y[WTCY1byte
	COMCTRL_CMD_STARTDATE	= ')',	//Jn6byteF4 2byte[Hi][Lo], 2byte, 2byte
	COMCTRL_CMD_WRITE		= '#',	//AhX2byte[Hi][Lo], f[^̌2byte[Hi][Lo], f[^inoCgj	f[^̌DATA_BUF_SIZE𒴂Ȃ
	COMCTRL_CMD_READ		= '$',	//AhX2byte[Hi][Lo], f[^̌2byte[Hi][Lo]
	COMCTRL_CMD_ERASE		= '[',	//̈𖄂߂l1byteiEEPROMj
	COMCTRL_CMD_WHO			= '@',	//ȂifoCX̊mFj

	COMCTRL_RET_UNKNOWN_CMD	= '?',	//߂łȂR}hMꍇɑԂifoCXj
	COMCTRL_RET_ERROR	= COMCTRL_RET_UNKNOWN_CMD	//ǂݏsȂǃG[̍}ƂĕԂifoCXj
};

//̑̑M
#define	COMCTRL_MY_NAME	"I2CEEPROM"	//WHOR}hɑ΂ĕԂ
#define	COMCTRL_END_CODE	'\n'	//1̑MƂ\BȂ鑗MɂĂ̕Ōɏo͂
#define	COMCTRL_WAIT_RCV	'\0'	//|[O֐ŁAMҋ@ł邱Ƃ߂lƂ镶

//obt@̍\
//	| AhX(2byte) | f[^̒(2byte) | f[^(512byte) |
//	|<- R}hobt@                        ->|<- f[^obt@  ->|
#define CMD_BUF_START_IDX	0
#define CMD_BUF_SIZE	(2+2)	//R}h̒(byte)
#define DATA_BUF_START_IDX	(CMD_BUF_START_IDX + CMD_BUF_SIZE)
#define DATA_BUF_SIZE	512		//1xɑMłf[^̒(byte)
#define TOTAL_BUF_SIZE	(CMD_BUF_SIZE + DATA_BUF_SIZE)

void	comInit();
uint8_t	comPolling();
void	comUsartRcvBufClear();
uint8_t		comGetByteData(uint8_t idx);
uint16_t	comGetWordData(uint8_t idx);
uint16_t	comGetMemAdrs();
uint16_t	comGetDataLength();
void	comSendByte(uint8_t data);
void	comSendWord(uint16_t data);
void	comSendMyName();
#define comCmdExec(c)	((c) != COMCTRL_WAIT_RCV)

uint8_t	*comGetDataBuf();

#endif	//comctrl_h_
